Bug 1024129 - Documentation does not mention quota permission requirement for Satellite 5.6.0 using an external Oracle database
Documentation does not mention quota permission requirement for Satellite 5.6...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Docs Installation Guide (Show other bugs)
560
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Macpherson
Dan Macpherson
: Triaged
Depends On:
Blocks: sat-docs
  Show dependency treegraph
 
Reported: 2013-10-28 19:21 EDT by Joe Thompson
Modified: 2015-10-20 22:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-20 22:44:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Thompson 2013-10-28 19:21:25 EDT
Description of problem: When attempting to install Satellite 5.6 using an external Oracle DB, the tablespace was set up in accordance with the requirements in section 2.3.3.2 of the install guide, however the install still would not progress past testing the connection to the database.  After examining the database logs and some basic tests, the Satellite database user was granted unlimited quota on the tablespace and the install proceeded normally.

Version-Release number of selected component (if applicable): 5.6.0


How reproducible: 100%


Steps to Reproduce:
1. Create an Oracle 11g tablespace for Satellite 5.6.0 in strict accord with the installation requirements but with a tightly-restricted user quota rather than the default (no quota).
2. Attempt to install Satellite 5.6.0.

Actual results: Install fails at testing the connection to the database.


Expected results: When all Installation Guide documented requirements are met, the install should succeed.


Additional info:
Comment 1 Clifford Perry 2013-11-21 06:13:51 EST
(In reply to Joe Thompson from comment #0)
> Description of problem: When attempting to install Satellite 5.6 using an
> external Oracle DB, the tablespace was set up in accordance with the
> requirements in section 2.3.3.2 of the install guide, however the install
> still would not progress past testing the connection to the database.  After
> examining the database logs and some basic tests, the Satellite database
> user was granted unlimited quota on the tablespace and the install proceeded
> normally.
> 
> Version-Release number of selected component (if applicable): 5.6.0
> 
> 
> How reproducible: 100%
> 
> 
> Steps to Reproduce:
> 1. Create an Oracle 11g tablespace for Satellite 5.6.0 in strict accord with
> the installation requirements but with a tightly-restricted user quota
> rather than the default (no quota).

In fairness your reproducer says that the DBA has to do something beyond 'default' for the user to break our documentation, which specifically, is restrict its quota.

> 2. Attempt to install Satellite 5.6.0.
> 
> Actual results: Install fails at testing the connection to the database.
> 
> 
> Expected results: When all Installation Guide documented requirements are
> met, the install should succeed.

So, really, the documentation today is sufficient, unless we than add an addendum saying 'We assume all defaults and cannot account for each potential variable, which may break our requirements, such as user quotas' 

Cliff

> 
> 
> Additional info:
Comment 2 Joe Thompson 2013-12-17 03:04:57 EST
I think assigning quotas to users is fairly common, though, as it's part of Oracle's basic security guidance (see e.g. http://docs.oracle.com/cd/B28359_01/network.111/b28531/users.htm#DBSEG10220).  So we should call that (and maybe a couple of other things -- that just happened to be the one that bit in this instance) out specifically as a thing that may need altering to allow Satellite to install.

Something like your last sentence would probably do the job, but it's probably worth getting into paragraph-sized detail in.  "Some common database configuration items that may cause Satellite install to fail are: ..."
Comment 3 Dan Macpherson 2014-01-21 10:20:10 EST
This bug can be worked on early during the planning stages for Satellite 5.7.
Comment 8 Dan Macpherson 2015-10-20 22:44:51 EDT
Released with Satellite 5.7

Note You need to log in before you can comment on or make changes to this bug.